export default SphereList;
declare class SphereList extends Mesh {
    geometry: Geometry;
    material: MeshBasicMaterial;
    objectCacher: ObjectCacher;
    updatePoints(points: any, colors: any, options?: {}): void;
    applyQuaternion(quaternion: import("three").Quaternion): SphereList;
    rotateOnAxis(axis: import("three").Vector3, angle: number): SphereList;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): SphereList;
    rotateX(angle: number): SphereList;
    rotateY(angle: number): SphereList;
    rotateZ(angle: number): SphereList;
    translateOnAxis(axis: import("three").Vector3, distance: number): SphereList;
    translateX(distance: number): SphereList;
    translateY(distance: number): SphereList;
    translateZ(distance: number): SphereList;
    add(...object: import("three").Object3D[]): SphereList;
    remove(...object: import("three").Object3D[]): SphereList;
    attach(object: import("three").Object3D): SphereList;
    clone(recursive?: boolean | undefined): SphereList;
    copy(source: SphereList, recursive?: boolean | undefined): SphereList;
}
import Mesh from "./Mesh";
import { Geometry } from "three/src/core/Geometry";
import { MeshBasicMaterial } from "three/src/materials/MeshBasicMaterial";
import ObjectCacher from "../utils/objectCacher";
